<?xml version='1.0' encoding='UTF-8'?>
<FilingSummary>
  <Version>3.8.0.1</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>210</ContextCount>
  <ElementCount>249</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>87</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>7</UnitCount>
  <MyReports>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>00090 - Document - Document And Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DocumentDocumentAndEntityInformation</Role>
      <ShortName>Document And Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>00100 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedBalanceSheets</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>00105 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedBalanceSheetsParenthetical</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>00205 - Statement - CONSOLIDATED STATEMENTS OF INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedStatementsOfIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF INCOME</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>00300 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedStatementsOfComprehensiveIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>00400 - Statement - CONSOLIDATED STATEMENTS OF EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedStatementsOfEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF EQUITY</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>00500 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/StatementConsolidatedStatementsOfCashFlows</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>10101 - Disclosure - COMPANY OVERVIEW AND BASIS OF PRESENTATION</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentation</Role>
      <ShortName>COMPANY OVERVIEW AND BASIS OF PRESENTATION</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>10201 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPolicies</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>10301 - Disclosure - EARNINGS PER SHARE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureEarningsPerShare</Role>
      <ShortName>EARNINGS PER SHARE</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>10401 - Disclosure - STOCKHOLDERS' EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquity</Role>
      <ShortName>STOCKHOLDERS' EQUITY</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>10501 - Disclosure - COMMITMENTS AND CONTINGENCIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingencies</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>10601 - Disclosure - DEBT</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebt</Role>
      <ShortName>DEBT</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>10701 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivities</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>10801 - Disclosure - SEGMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSegments</Role>
      <ShortName>SEGMENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>10901 - Disclosure - SUBSEQUENT EVENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSubsequentEvents</Role>
      <ShortName>SUBSEQUENT EVENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>20202 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Policy)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesPolicy</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Policy)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>30103 - Disclosure - COMPANY OVERVIEW AND BASIS OF PRESENTATION (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentationTables</Role>
      <ShortName>COMPANY OVERVIEW AND BASIS OF PRESENTATION (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentation</ParentRole>
      <Position>18</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>30203 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPolicies</ParentRole>
      <Position>19</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>30303 - Disclosure - EARNINGS PER SHARE (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureEarningsPerShareTables</Role>
      <ShortName>EARNINGS PER SHARE (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureEarningsPerShare</ParentRole>
      <Position>20</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>30403 - Disclosure - STOCKHOLDERS' EQUITY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquityTables</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureStockholdersEquity</ParentRole>
      <Position>21</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>30503 - Disclosure - COMMITMENTS AND CONTINGENCIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesTables</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingencies</ParentRole>
      <Position>22</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>30603 - Disclosure - DEBT (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebtTables</Role>
      <ShortName>DEBT (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDebt</ParentRole>
      <Position>23</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>30703 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivities</ParentRole>
      <Position>24</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>30803 - Disclosure - SEGMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSegmentsTables</Role>
      <ShortName>SEGMENTS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSegments</ParentRole>
      <Position>25</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>40101 - Disclosure - COMPANY OVERVIEW AND BASIS OF PRESENTATION (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentationNarrativeDetails</Role>
      <ShortName>COMPANY OVERVIEW AND BASIS OF PRESENTATION (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentationTables</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>40102 - Disclosure - COMPANY OVERVIEW AND BASIS OF PRESENTATION (Schedule of Error Correction and Prior Period Adjustment) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentationScheduleOfErrorCorrectionAndPriorPeriodAdjustmentDetails</Role>
      <ShortName>COMPANY OVERVIEW AND BASIS OF PRESENTATION (Schedule of Error Correction and Prior Period Adjustment) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCompanyOverviewAndBasisOfPresentationTables</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>40201 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tax Receivables) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTaxReceivablesNarrativeDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tax Receivables) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>40203 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Stock Based Compensation) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesStockBasedCompensationNarrativeDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Stock Based Compensation) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>40205 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Exit or Disposal Cost Obligations) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesExitOrDisposalCostObligationsNarrativeDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Exit or Disposal Cost Obligations) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>40206 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Fair Value Measurements) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesFairValueMeasurementsNarrativeDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Fair Value Measurements) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>40207 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Self-Insurance) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesSelfInsuranceNarrativeDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Self-Insurance) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>40210 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Schedule of Real Estate Development Joint Ventures) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesScheduleOfRealEstateDevelopmentJointVenturesDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Schedule of Real Estate Development Joint Ventures) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>40212 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Value Added Tax Receivables) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesSummaryOfValueAddedTaxReceivablesDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Value Added Tax Receivables) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>40213 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Income Tax Receivables) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesSummaryOfIncomeTaxReceivablesDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Income Tax Receivables) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>40217 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Foreign Currency Gains and Losses) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesSummaryOfForeignCurrencyGainsAndLossesDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Summary of Foreign Currency Gains and Losses) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>40301 - Disclosure - EARNINGS PER SHARE (Schedule of the Computation of Net Income Per Share) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureEarningsPerShareScheduleOfComputationOfNetIncomePerShareDetails</Role>
      <ShortName>EARNINGS PER SHARE (Schedule of the Computation of Net Income Per Share) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureEarningsPerShareTables</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>40401 - Disclosure - STOCKHOLDERS' EQUITY (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquityNarrativeDetails</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureStockholdersEquityTables</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>40402 - Disclosure - STOCKHOLDERS' EQUITY (Schedule of Dividends) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquityScheduleOfDividendsDetails</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Schedule of Dividends) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureStockholdersEquityTables</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>40403 - Disclosure - STOCKHOLDERS' EQUITY (Schedule of Components of Other Comprehensive Income (Loss)) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquityScheduleOfComponentsOfOtherComprehensiveIncomeLossDetails</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Schedule of Components of Other Comprehensive Income (Loss)) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureStockholdersEquityTables</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>40404 - Disclosure - STOCKHOLDERS' EQUITY (Summary of Retained Earnings Not Available for Distribution) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureStockholdersEquitySummaryOfRetainedEarningsNotAvailableForDistributionDetails</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Summary of Retained Earnings Not Available for Distribution) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureStockholdersEquityTables</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>40501 - Disclosure - COMMITMENTS AND CONTINGENCIES (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesNarrativeDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesTables</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>40502 - Disclosure - COMMITMENTS AND CONTINGENCIES (Schedule of Future Minimum Lease Commitments) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesScheduleOfFutureMinimumLeaseCommitmentsDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Schedule of Future Minimum Lease Commitments) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesTables</ParentRole>
      <Position>43</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>40503 - Disclosure - COMMITMENTS AND CONTINGENCIES (Schedule of Variable Interest Entities Maximum Loss Exposure) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesScheduleOfVariableInterestEntitiesMaximumLossExposureDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Schedule of Variable Interest Entities Maximum Loss Exposure) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureCommitmentsAndContingenciesTables</ParentRole>
      <Position>44</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>40601 - Disclosure - DEBT (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebtNarrativeDetails</Role>
      <ShortName>DEBT (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDebtTables</ParentRole>
      <Position>45</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>40602 - Disclosure - DEBT (Schedule of Short-Term Borrowings) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebtScheduleOfShortTermBorrowingsDetails</Role>
      <ShortName>DEBT (Schedule of Short-Term Borrowings) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDebtTables</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>40603 - Disclosure - DEBT (Summary of Changes in Long-Term Debt) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebtSummaryOfChangesInLongTermDebtDetails</Role>
      <ShortName>DEBT (Summary of Changes in Long-Term Debt) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDebtTables</ParentRole>
      <Position>47</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>40605 - Disclosure - DEBT (Schedule of Annual Maturities of Long-Term Debt) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDebtScheduleOfAnnualMaturitiesOfLongTermDebtDetails</Role>
      <ShortName>DEBT (Schedule of Annual Maturities of Long-Term Debt) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDebtTables</ParentRole>
      <Position>48</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>40701 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Interest Rate Derivatives) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesScheduleOfInterestRateDerivativesDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Interest Rate Derivatives) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>40702 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Cash Flow Hedging Instruments, Statements of Financial Performance and Financial Position, Location) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesScheduleOfCashFlowHedgingInstrumentsStatementsOfFinancialPerformanceAndFinancialPositionLocationDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Cash Flow Hedging Instruments, Statements of Financial Performance and Financial Position, Location) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables</ParentRole>
      <Position>50</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>40703 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Notional Amounts of Outstanding Derivative Positions) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesScheduleOfNotionalAmountsOfOutstandingDerivativePositionsDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Notional Amounts of Outstanding Derivative Positions) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables</ParentRole>
      <Position>51</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>40705 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Derivative Instruments in Statement of Financial Position, Fair Value and Summary of Fair Value of Foreign Currency Forward Contracts) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesScheduleOfDerivativeInstrumentsInStatementOfFinancialPositionFairValueAndSummaryOfFairValueOfForeignCurrencyForwardContractsDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Schedule of Derivative Instruments in Statement of Financial Position, Fair Value and Summary of Fair Value of Foreign Currency Forward Contracts) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables</ParentRole>
      <Position>52</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>40801 - Disclosure - SEGMENTS (Summary of Segment Revenues, Operating Costs and Balance Sheet Items) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSegmentsSummaryOfSegmentRevenuesOperatingCostsAndBalanceSheetItemsDetails</Role>
      <ShortName>SEGMENTS (Summary of Segment Revenues, Operating Costs and Balance Sheet Items) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSegmentsTables</ParentRole>
      <Position>53</Position>
    </Report>
    <Report instance="psmt-20171130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>40901 - Disclosure - SUBSEQUENT EVENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.pricesmart.com/role/DisclosureSubsequentEventsDetails</Role>
      <ShortName>SUBSEQUENT EVENTS (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.pricesmart.com/role/DisclosureSubsequentEvents</ParentRole>
      <Position>54</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>psmt-20171130.xml</File>
    <File>psmt-20171130.xsd</File>
    <File>psmt-20171130_cal.xml</File>
    <File>psmt-20171130_def.xml</File>
    <File>psmt-20171130_lab.xml</File>
    <File>psmt-20171130_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies>
    <BaseTaxonomy>http://xbrl.sec.gov/invest/2013-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/country/2017-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/currency/2017-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/dei/2014-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://fasb.org/us-gaap/2017-01-31</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
